Subject: bug#6658: [PATCH] randread: don't require -lrt

From: Paul Eggert <[email-masked]>
Date: Fri, 23 Jul 2010 23:23:18 -0700

On 07/23/10 16:39, Pádraig Brady wrote:

> Note I needed to comment out the ASSERT check
> when linking with the old rand-isaac.
> Is that a bug in the old implementation or just a change?

It's a change to the API for rand-isaac.  Combining the new
test program with the old implementation would lead to undefined
behavior, though it sounds like it sort of worked since the change
was just to the seeding code.  I changed all callers, so the API
change shouldn't be a problem.

Ah well, I was hoping 32-bit would be a tiny bit faster, but
perhaps next time.  Thanks for checking it.